CVE-2017-14149CVE-2017-14149

Affected configuration(s):

cpe:/a:embedthis:goahead:3.4.0
cpe:/a:embedthis:goahead:3.4.1
cpe:/a:embedthis:goahead:3.4.2
cpe:/a:embedthis:goahead:3.4.3
cpe:/a:embedthis:goahead:3.4.4
cpe:/a:embedthis:goahead:3.4.5
cpe:/a:embedthis:goahead:3.4.6
cpe:/a:embedthis:goahead:3.4.7
cpe:/a:embedthis:goahead:3.4.8
cpe:/a:embedthis:goahead:3.4.9
cpe:/a:embedthis:goahead:3.4.10
cpe:/a:embedthis:goahead:3.4.11
cpe:/a:embedthis:goahead:3.4.12
cpe:/a:embedthis:goahead:3.5.0
cpe:/a:embedthis:goahead:3.6.0
cpe:/a:embedthis:goahead:3.6.1
cpe:/a:embedthis:goahead:3.6.2
cpe:/a:embedthis:goahead:3.6.3
cpe:/a:embedthis:goahead:3.6.4
cpe:/a:embedthis:goahead:3.6.5

Date published: 2017-09-05T03:29:00.273-04:00

Date last modified: 2017-09-05T13:07:23.393-04:00

CVSS Score: 5.0

Principal attack vector: NETWORK

Complexity:  LOW

Reference URL: https://github.com/shadow4u/goaheaddebug/blob/master/README.md

Summary: GoAhead 3.4.0 through 3.6.5 has a NULL Pointer Dereference in the websDecodeUrl function in http.c, leading to a crash for a “POST / HTTP/1.1” request.

CategoriesUncategorised

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.